Skip to content
Ona Docs

ListWorkflowExecutionOutputs

client.automations.listExecutionOutputs(AutomationListExecutionOutputsParams { token, pageSize, filter, pagination } params, RequestOptionsoptions?): OutputsPage<AutomationListExecutionOutputsResponse { actionId, values } >
POST/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs

Lists outputs produced by workflow execution actions.

Use this method to:

  • Retrieve test results, coverage metrics, or other structured data from executions
  • Aggregate outputs across multiple workflow executions
  • Build dashboards or reports from execution data

Examples

  • List outputs for a workflow execution:

    Retrieves all outputs produced by actions in the specified execution.

    filter:
      workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"]
    pagination:
      pageSize: 50
ParametersExpand Collapse
params: AutomationListExecutionOutputsParams { token, pageSize, filter, pagination }
token?: string

Query param

pageSize?: number

Query param

maximum100
minimum0
filter?: Filter

Body param

workflowExecutionIds?: Array<string>
ReturnsExpand Collapse
AutomationListExecutionOutputsResponse { actionId, values }
actionId?: string
values?: Record<string, Values>
boolValue?: boolean
floatValue?: number
formatdouble
intValue?: string
stringValue?: string
maxLength4096

ListWorkflowExecutionOutputs

import Gitpod from '@gitpod/sdk';

const client = new Gitpod({
  bearerToken: process.env['GITPOD_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const automationListExecutionOutputsResponse of client.automations.listExecutionOutputs({
  filter: { workflowExecutionIds: ['d2c94c27-3b76-4a42-b88c-95a85e392c68'] },
  pagination: { pageSize: 50 },
})) {
  console.log(automationListExecutionOutputsResponse.actionId);
}
{
  "outputs": [
    {
      "actionId": "actionId",
      "values": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      }
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "outputs": [
    {
      "actionId": "actionId",
      "values": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      }
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}